import { zeroAddress as e } from "../constants/protocol.constants.mjs";
import { defaultFeeToken as t } from "../constants/fees.constants.mjs";
//#region libs/shared/common/src/types/hinkal.types.ts
var n = /* @__PURE__ */ function(e) {
	return e.BalanceChange = "BalanceChange", e.KycNeeded = "KycNeeded", e.AccountChanged = "AccountChanged", e.ShowConnect = "ShowConnect", e.ShowNetworkPopup = "ShowNetworkPopup", e.MerkleTreeUpdated = "MerkleTreeUpdated", e.MerkleTreeResetStarted = "MerkleTreeResetStarted", e.MerkleTreeResetFinished = "MerkleTreeResetFinished", e;
}({}), r = /* @__PURE__ */ function(e) {
	return e[e.UNISWAP = 1] = "UNISWAP", e[e.ODOS = 1 + e.UNISWAP] = "ODOS", e[e.ONEINCH = 1 + e.ODOS] = "ONEINCH", e[e.LIFI = 1 + e.ONEINCH] = "LIFI", e[e.OKX = 1 + e.LIFI] = "OKX", e[e.ALL = 1 + e.OKX] = "ALL", e[e.NONE = 1 + e.ALL] = "NONE", e;
}({}), i = /* @__PURE__ */ function(e) {
	return e[e.NONE = 0] = "NONE", e[e.APPROVE = 1] = "APPROVE", e[e.RELEASE_BUFFER = 2] = "RELEASE_BUFFER", e[e.EXECUTE = 3] = "EXECUTE", e;
}({}), a = (t, n) => ({
	approvalChanges: Array.from({ length: t }).fill(n),
	externalApprovalAddresses: Array.from({ length: t }).fill(e),
	conversionInHinkalAddress: Array.from({ length: t }).fill(n)
}), o = (t, n) => ({
	hinkalLogicAction: i.NONE,
	inHinkalAddress: n.getInHinkalAddress(e),
	executeApprovalChanges: Array.from({ length: t }).fill(0n),
	doPreTxApproval: !1,
	useApprovalUtxoData: Array.from({ length: t }).map(() => a(3, 0n)),
	interactionAddress: e
}), s = {
	feeToken: t,
	flatFee: 0n,
	variableRate: 0n
}, c = /* @__PURE__ */ function(e) {
	return e.PROTOCOL = "protocol", e.PRIVATE_TRANSFER = "privateTransfer", e;
}({});
//#endregion
export { n as EventType, i as HinkalLogicAction, r as IntegrationProvider, c as LoginMessageMode, s as defaultFeeStructure, o as defaultHinkalLogicArgs, a as defaultUseApprovalUTXOData };
